-- `\COPY` 文内の `your_upload_data_location` を、ご自身の環境に適したパスに変更してください。
-- 例: ~/Uploads/p4ds2023
-- 変更箇所は 44 か所あるため、VS Code などのテキストエディターを使用し、一括置換すると便利です。

-- Update `your_upload_data_location` in the `\COPY` statements to match your environment's file path.
-- Example: ~/Uploads/p4ds2023
-- Since there are 44 occurrences, using a text editor like VS Code for batch replacement is recommended.

\COPY p4ds2023.m_gender FROM 'your_upload_data_location/m_gender.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_university_major FROM 'your_upload_data_location/m_university_major.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_age FROM 'your_upload_data_location/m_age.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',', NULL '' );
\COPY p4ds2023.m_employment_status FROM 'your_upload_data_location/m_employment_status.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_number_of_employees FROM 'your_upload_data_location/m_number_of_employees.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',', NULL '');
\COPY p4ds2023.m_industry FROM 'your_upload_data_location/m_industry.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_job_title FROM 'your_upload_data_location/m_job_title.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_annual_income FROM 'your_upload_data_location/m_annual_income.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',', NULL '');
\COPY p4ds2023.m_highest_education_level FROM 'your_upload_data_location/m_highest_education_level.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_core_attribute FROM 'your_upload_data_location/t_core_attribute.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_type_prefecture FROM 'your_upload_data_location/m_type_prefecture.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_prefecture FROM 'your_upload_data_location/m_prefecture.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_prefecture_wide FROM 'your_upload_data_location/t_prefecture_wide.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_prefecture_long FROM 'your_upload_data_location/t_prefecture_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_type_field FROM 'your_upload_data_location/m_type_field.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_field FROM 'your_upload_data_location/m_field.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_learning_source FROM 'your_upload_data_location/m_learning_source.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_further_study_reason FROM 'your_upload_data_location/m_further_study_reason.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_field_long FROM 'your_upload_data_location/t_field_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_workingfield_and_learningsource_paired_long FROM 'your_upload_data_location/t_workingfield_and_learningsource_paired_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_furtherstudyfield_and_reason_paired_long FROM 'your_upload_data_location/t_furtherstudyfield_and_reason_paired_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_type_course FROM 'your_upload_data_location/m_type_course.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_course FROM 'your_upload_data_location/m_course.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_course_long FROM 'your_upload_data_location/t_course_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_type_job_sub_category FROM 'your_upload_data_location/m_type_job_sub_category.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_job_sub_category FROM 'your_upload_data_location/m_job_sub_category.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_job_sub_category_long FROM 'your_upload_data_location/t_job_sub_category_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_job_area FROM 'your_upload_data_location/m_job_area.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_job_area_long FROM 'your_upload_data_location/t_job_area_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_type_it_skill FROM 'your_upload_data_location/m_type_it_skill.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_it_skill FROM 'your_upload_data_location/m_it_skill.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_it_skill_status FROM 'your_upload_data_location/m_it_skill_status.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_it_skill_long FROM 'your_upload_data_location/t_it_skill_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_researcher_perspective FROM 'your_upload_data_location/m_researcher_perspective.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_researcher_perspective_status FROM 'your_upload_data_location/m_researcher_perspective_status.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_researcher_perspective_long FROM 'your_upload_data_location/t_researcher_perspective_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_work_detail FROM 'your_upload_data_location/m_work_detail.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_work_detail_status FROM 'your_upload_data_location/m_work_detail_status.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_work_detail_long FROM 'your_upload_data_location/t_work_detail_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_higher_education FROM 'your_upload_data_location/m_higher_education.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_higher_education_status FROM 'your_upload_data_location/m_higher_education_status.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_higher_education_long FROM 'your_upload_data_location/t_higher_education_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.m_career_change_experience FROM 'your_upload_data_location/m_career_change_experience.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
\COPY p4ds2023.t_career_change_experience_long FROM 'your_upload_data_location/t_career_change_experience_long.csv' WITH (FORMAT csv, HEADER true, DELIMITER ',');
